org.omg.PortableServer

## Class ThreadPolicyValue

- java.lang.Object
- - org.omg.PortableServer.ThreadPolicyValue

All Implemented Interfaces:
  Serializable, IDLEntity

    public class ThreadPolicyValue
    extends Object
    implements IDLEntity

The ThreadPolicyValue can have the following values. ORB_CTRL_MODEL - The ORB is responsible for assigning requests for an ORB- controlled POA to threads. SINGLE_THREAD_MODEL - Requests for a single-threaded POA are processed sequentially.

### Field Summary

Fields
`static int` `_ORB_CTRL_MODEL`
`static int` `_SINGLE_THREAD_MODEL`
`static ThreadPolicyValue` `ORB_CTRL_MODEL`
`static ThreadPolicyValue` `SINGLE_THREAD_MODEL`

### Constructor Summary

Constructors
`protected` `ThreadPolicyValue(int value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ThreadPolicyValue` `from_int(int value)`
`int` `value()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _ORB_CTRL_MODEL

    public static final int _ORB_CTRL_MODEL

See Also:
  Constant Field Values

#### ORB_CTRL_MODEL

    public static final ThreadPolicyValue ORB_CTRL_MODEL

#### _SINGLE_THREAD_MODEL

    public static final int _SINGLE_THREAD_MODEL

See Also:
  Constant Field Values

#### SINGLE_THREAD_MODEL

    public static final ThreadPolicyValue SINGLE_THREAD_MODEL

### Constructor Detail

#### ThreadPolicyValue

    protected ThreadPolicyValue(int value)

### Method Detail

#### value

    public int value()

#### from_int

    public static ThreadPolicyValue from_int(int value)